OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Issue with TinyMCE after 2.4.2 upgrade

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
What to do if you have a technical problem with OJS:

1. Search the forum. You can do this from the Advanced Search Page or from our Google Custom Search, which will search the entire PKP site. If you are encountering an error, we especially recommend searching the forum for said error.

2. Check the FAQ to see if your question or error has already been resolved.

3. Post a question, but please, only after trying the above two solutions. If it's a workflow or usability question you should probably post to the OJS Editorial Support and Discussion subforum; if you have a development question, try the OJS Development subforum.

Issue with TinyMCE after 2.4.2 upgrade

Postby jhallida » Thu Feb 27, 2014 9:58 pm

Hi, we are having an issue with one of our journals with a non-standard URL after the OJS upgrade from 2.3 to 2.4.

The TinyMCE plugin URLs appear to be incorrect. The URL being generated by TinyMCE is this:

http://josotl.indiana.edu/journals/lib/ ... dialog.htm

Which is invalid. It should be this:

http://josotl.indiana.edu/lib/pkp/lib/t ... dialog.htm

So the 'journals' part is getting inserted somewhere along the way. The config file looks like this:

base_url[index] = "http://scholarworks.iu.edu/journals/index.php/index"
base_url[josotl] = "http://josotl.indiana.edu"

Any help appreciated!
jhallida
 
Posts: 23
Joined: Fri Aug 20, 2010 8:03 am

Re: Issue with TinyMCE after 2.4.2 upgrade

Postby asmecher » Fri Feb 28, 2014 9:08 am

Hi jhallida,

I'd suggest upgrading to OJS 2.4.3; parts of the JBImages integration were fixed in that release.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 8869
Joined: Wed Aug 10, 2005 12:56 pm

Re: Issue with TinyMCE after 2.4.2 upgrade

Postby jhallida » Fri Feb 28, 2014 12:13 pm

Oh sorry, this actually IS 2.4.3, not 2.4.2. My apologies...
Also, the entire TinyMCE plugin is non-functional. It's not just that one URL.
jhallida
 
Posts: 23
Joined: Fri Aug 20, 2010 8:03 am

Re: Issue with TinyMCE after 2.4.2 upgrade

Postby asmecher » Fri Feb 28, 2014 12:19 pm

Hi jhallida,

Have you flushed your cache? Try deleting the .gz file in particular in the cache/ subdirectory.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 8869
Joined: Wed Aug 10, 2005 12:56 pm

Re: Issue with TinyMCE after 2.4.2 upgrade

Postby jhallida » Fri Feb 28, 2014 12:43 pm

Yes, that did the trick! For some reason, deleting the cache files through the site admin interface isn't actually deleting everything in the directory. I had to manually remove the gz file, and now things are working. Thanks!
jhallida
 
Posts: 23
Joined: Fri Aug 20, 2010 8:03 am


Return to OJS Technical Support

Who is online

Users browsing this forum: No registered users and 5 guests